/* ChibiDuino2 LCD sample
 * SETUP: (Hitachi HD44780 compatable LCD)
 * +5V LCD Vdd pin 2       >>>     Gnd LCD Vss pin 1, and R/W pin 5
 * LCD RS pin 4 to D9      >>>     LCD Enable pin 6 to D8
 * LCD D4 pin 11 to D7     >>>     LCD D5 pin 12 to D6
 * LCD D6 pin 13 to D5     >>>     LCD D7 pin 14 to D4
 * 10K pot: - ends to +5V and Gnd, wiper to LCD VO pin (pin 3)
 */

#include "WProgram.h"                   // needed for IDE to understand a "byte"!
#include <LiquidCrystal.h>              // Sure 8x2 LCD works with this lib

// instanciate the library and pass pins for (RS, Enable, D4, D5, D6, D7)

LiquidCrystal    lcd(5,6,9,10,11,12);

void setup(){
  lcd.begin(2,8);                       // set lib for display size (8x2)
   lcd.clear();                          // clear the screen
}


void loop(){
  int i,t;
  for(i=16;i>0;i--){
    lcd.setCursor(0,0);
    for(t=0;t<i;t++) lcd.print(" ");
    lcd.print("ChibiDuino 2     ");                    // display 1st line
    delay(200);
  }

  for(i=12;i>0;i--){
    lcd.setCursor(0,1);
    lcd.print("cheapest Arduino");                    // display 2nd line
    delay(1000);
    lcd.setCursor(0,1);
    lcd.print("                 ");                    // erase 2nd line
    delay(300);

  }
}



